<!DOCTYPE html>
<html lang="en">
  <head>
    <title><%= @score.name %></title>
  </head>

  <body>
    <div class="container">
      <div class="jumbotron">
        <h1><%= @score.name %></h1>
          <% @length = 2 %>
          <% @parsed.each_with_index do |row, index| %>
            <% if row.is_a? String %>
              <div class="row">
                <div class="col-2"><h3><%= row %></h3></div>
                <div class="col-2"><h3>Clef</h3></div>
                <div class="col-2"><h3>Time signature</h3></div>
                <div class="col-2"><h3>Key signature</h3></div>
                <div class="col-2"><h3>Measure details</h3></div>
                <div class="col-2"><h3>Instrument convention</h3></div>
                </br>
              </div>
            <% elsif row.is_a? Array %>
              <% row.select{|x, y| x == @parsed[index - 1]}.each_with_index do |instrument, i|%>
                <% if instrument.length == 2 %>
                  <% @convention = instrument %>
                  <% @length = 2 %>
                <% elsif instrument.length == 6 %>
                  <div class="row">
                    <div class="col-2"><% if @length == 2 %>Staff <%= instrument[1][1] %><% end %></div>
                    <div class="col-2"><% if instrument[1] != nil %>At measure <%= instrument[1][2] %> : <%= instrument[1][3] %><% end %></div>
                    <div class="col-2"><% if instrument[2] != nil %>At measure <%= instrument[2][2] %> : <%= instrument[2][3][0] %> / <%= instrument[2][3][1] %><% end %></div>
                    <div class="col-2"><% if instrument[3] != nil %>At measure <%= instrument[3][2] %> : <%= instrument[3][3] %><% end %></div>
                    <div class="col-2"><% if @length == 2 %><%= link_to "Click here", "#details", "data-toggle" => "modal" %><% end %></div>
                    <div class="col-2"><% if @length == 2 %>Range : <%= @convention[1][1] %> to <%= @convention[1][2] %><% end %></div>
                  </div>
                <% @length = 6 %>
                <% end %>
              <% end %>
            <% end %>
          <% end %>
      </div>
    </div><!-- /.container -->
  </body>
</html>
